Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1420826 - [GSS](6.4.z) Crash occurring when using APR SSL [NEEDINFO]
Summary: [GSS](6.4.z) Crash occurring when using APR SSL
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: openssl, Apache Server (httpd) and Connectors, Security, Web
Version: 6.4.10
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: George Zaronikas
QA Contact: Michal Karm Babacek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-09 15:17 UTC by Robert Bost
Modified: 2020-05-14 15:37 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
JBoss EAP 6.4.10 Natives Windows Server 2012 R2 , 64 bit Java(TM) SE Runtime Environment (8.0_92-b14)
Last Closed: 2019-08-19 12:47:22 UTC
Type: Bug
rbost: needinfo? (gzaronik)


Attachments (Terms of Use)
WinDBG Output (7.28 KB, text/plain)
2017-02-09 15:17 UTC, Robert Bost
no flags Details
hs_err_pid 1 (872.21 KB, text/plain)
2017-02-09 15:18 UTC, Robert Bost
no flags Details
hs_err_pid 2 (876.20 KB, text/plain)
2017-02-09 15:18 UTC, Robert Bost
no flags Details

Description Robert Bost 2017-02-09 15:17:34 UTC
Created attachment 1248836 [details]
WinDBG Output

Experiencing intermittent crash when using EAP 6.4.10 Natives on Windows. Two hs_err_pid's are attached and a single WinDBG session (but without debug symbols for our packages).

There are no clear reproduction steps.

Below is one of the crashing stacks for reference. More details on the functions involved in each dll can be found in the WinDBG session attached remote_session_debug.txt


Stack: [0x00000000b7850000,0x00000000b7950000],  sp=0x00000000b794ee28,  free space=1019k
Native frames: (J=compiled Java code, j=interpreted, Vv=VM code, C=native code)
C  [msvcrt.dll+0x188f]
C  [ssleay32.dll+0x12002]
C  [ssleay32.dll+0xd93e]
C  [libtcnative-1.dll+0xd3ed]
C  [libtcnative-1.dll+0x5975]
C  0x0000000002f69b07

Java frames: (J=compiled Java code, j=interpreted, Vv=VM code)
J 9563  org.apache.tomcat.jni.Socket.sendbb(JII)I (0 bytes) @ 0x0000000002f69a89 [0x0000000002f69a40+0x49]
J 9459 C2 org.apache.coyote.http11.InternalAprOutputBuffer.flushBuffer()V (405 bytes) @ 0x00000000030ca7f0 [0x00000000030ca780+0x70]
J 11269 C2 org.apache.coyote.http11.Http11AprProcessor.action(Lorg/apache/coyote/ActionCode;Ljava/lang/Object;)V (1631 bytes) @ 0x000000000377b35c [0x000000000377b200+0x15c]
J 14877 C2 org.apache.coyote.Response.finish()V (9 bytes) @ 0x0000000003aeebf4 [0x0000000003aeeba0+0x54]
J 14724 C2 org.apache.catalina.connector.Response.finishResponse()V (8 bytes) @ 0x00000000038d49b4 [0x00000000038d48c0+0xf4]
j  org.apache.catalina.connector.CoyoteAdapter.service(Lorg/apache/coyote/Request;Lorg/apache/coyote/Response;)V+390
J 17630 C2 org.apache.coyote.http11.Http11AprProcessor.process(J)Lorg/apache/tomcat/util/net/AprEndpoint$Handler$SocketState; (686 bytes) @ 0x0000000004b16518 [0x0000000004b15e60+0x6b8]
j  org.apache.coyote.http11.Http11AprProtocol$Http11ConnectionHandler.process(J)Lorg/apache/tomcat/util/net/AprEndpoint$Handler$SocketState;+22
J 10774 C2 org.apache.tomcat.util.net.AprEndpoint$SocketProcessor.run()V (35 bytes) @ 0x000000000311e7bc [0x000000000311e760+0x5c]
J 5214 C2 java.util.concurrent.ThreadPoolExecutor.runWorker(Ljava/util/concurrent/ThreadPoolExecutor$Worker;)V (225 bytes) @ 0x0000000002723f50 [0x0000000002723c20+0x330]
j  java.util.concurrent.ThreadPoolExecutor$Worker.run()V+5
j  java.lang.Thread.run()V+11
j  org.jboss.threads.JBossThread.run()V+10
v  ~StubRoutines::call_stub

Comment 1 Robert Bost 2017-02-09 15:18:04 UTC
Created attachment 1248837 [details]
hs_err_pid 1

Comment 2 Robert Bost 2017-02-09 15:18:23 UTC
Created attachment 1248838 [details]
hs_err_pid 2

Comment 3 Robert Bost 2017-02-17 18:31:05 UTC
The crash is occurring on at least daily basis for customer that reported issue.

Comment 6 Robert Bost 2017-02-20 16:06:57 UTC
Customer is using 64-bit natives:

# file * 
libapr-1.dll:      PE32+ executable (DLL) (GUI) x86-64, for MS Windows
libeay32.dll:      PE32+ executable (DLL) (console) x86-64, for MS Windows
libtcnative-1.dll: PE32+ executable (DLL) (GUI) x86-64, for MS Windows
ssleay32.dll:      PE32+ executable (DLL) (console) x86-64, for MS Windows


Note You need to log in before you can comment on or make changes to this bug.